import { OnInit, OnChanges, EventEmitter, ElementRef } from '@angular/core';
declare enum ScrollDirection {
    UP = "up",
    DOWN = "down"
}
declare enum ScrollListener {
    HOST = "scroll",
    WINDOW = "window:scroll"
}
export declare class RdpScrollContainerComponent implements OnInit, OnChanges {
    private elRef;
    private _element;
    private _window;
    scrollTop: number;
    more: boolean;
    scrollDelay: number;
    scrollOffset: number;
    scrolled: EventEmitter<boolean>;
    _scroll: Function;
    _windowScroll: Function;
    constructor(elRef: ElementRef);
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    setThrottle(): void;
    getListener: () => ScrollListener;
    roundTo: (from: number, to?: number) => number;
    getScrollDirection: (st: number) => ScrollDirection;
    canScroll(e: Element): boolean;
    handleScroll: () => void;
}
export {};
