import { CollectionViewer, DataSource } from "@angular/cdk/collections";
import { Observable } from 'rxjs';
export declare class RDPDataSource extends DataSource<any> {
    private dataSubject;
    private loadingSubject;
    loading$: Observable<boolean>;
    constructor();
    loadData(applicationService: any, filter: string, sortActive: string, sortDirection: string, pageIndex: number, pageSize: number): void;
    connect(collectionViewer: CollectionViewer): Observable<any[]>;
    disconnect(collectionViewer: CollectionViewer): void;
}
