import { Column } from './column';
export declare class DataTableSettings {
    private _columns;
    private _paginationsSize;
    private _isPaginationEnabled;
    private _isTableSearchEnabled;
    private _isReadOnly;
    private _isServerSidePaginationEnabled;
    private _isServerSideSortingEnabled;
    private _toggleEnabled;
    private _applicationService;
    private _modalPopupTitle;
    constructor();
    columns: Array<Column>;
    isPaginationEnabled: boolean;
    paginationsSize: string;
    isReadOnly: boolean;
    isServerSidePaginationEnabled: boolean;
    isServerSideSortingEnabled: boolean;
    isTableSearchEnabled: boolean;
    isToggleEnabled: boolean;
    applicationService: any;
    modalPopupTitle: string;
}
